Last Comment Bug 1149423 - Add Windows timezone names to list of aliases
: Add Windows timezone names to list of aliases
Status: RESOLVED FIXED
[timezone]
:
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: unspecified
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Geoff Lankow (:darktrojan)
:
:
Mentors:
Depends on:
Blocks: 1135749 1149470 1086573 ltn40
  Show dependency treegraph
 
Reported: 2015-03-31 01:27 PDT by Geoff Lankow (:darktrojan)
Modified: 2015-04-23 05:08 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
2015b.diff (15.49 KB, patch)
2015-03-31 01:27 PDT, Geoff Lankow (:darktrojan)
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description User image Geoff Lankow (:darktrojan) 2015-03-31 01:27:17 PDT
As per bug 1086573 comment 30, I'm adding the Windows timezones from calendar/providers/gdata/modules/timezoneMap.jsm to the list of aliases. This is intended to be temporary, and I'll file a followup bug to fix the problem properly.

I've also included the updates in 2015b: see https://mm.icann.org/pipermail/tz-announce/2015-March.txt
Comment 1 User image Karl Rossing 2015-04-13 08:07:02 PDT
Will this land in 4.0?
Comment 2 User image Philipp Kewisch [:Fallen] 2015-04-13 08:11:51 PDT
Comment on attachment 8585938 [details] [diff] [review]
2015b.diff

Ah, forgot about this one, thanks for the comment. I'd be fine with taking it.
Comment 3 User image Philipp Kewisch [:Fallen] 2015-04-13 08:12:38 PDT
Geoff, what are your thoughts? Any reason you didn't request review?
Comment 4 User image Karl Rossing 2015-04-14 13:22:54 PDT
I have some questions, When will 4.0b2 be released? Will this make the cut? At what point does it miss 4.0GA?
Comment 5 User image Philipp Kewisch [:Fallen] 2015-04-14 15:32:16 PDT
4.0b2 probably due Friday, final together with TB38. See https://wiki.mozilla.org/RapidRelease/Calendar for releases and merge dates. Usually betas every 6 weeks and real releases every ~42 weeks.
Comment 6 User image Geoff Lankow (:darktrojan) 2015-04-17 19:12:07 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #3)
> Geoff, what are your thoughts? Any reason you didn't request review?

None that I can recall. Ship it.
Comment 7 User image Philipp Kewisch [:Fallen] 2015-04-23 04:33:51 PDT
Pushed to comm-central changeset e2b3008f14cb
Comment 8 User image Philipp Kewisch [:Fallen] 2015-04-23 05:05:38 PDT
Backported to releases/comm-aurora changeset 1ed0e357000e
Comment 9 User image Philipp Kewisch [:Fallen] 2015-04-23 05:08:02 PDT
Backported to releases/comm-beta changeset 2a06e201836b

Note You need to log in before you can comment on or make changes to this bug.